Bug 118045 - FILESAVE Exporting ODP to PPTX does not get paragraph style line spacing proportional correct
Summary: FILESAVE Exporting ODP to PPTX does not get paragraph style line spacing prop...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: Tibor Nagy (NISZ)
URL:
Whiteboard: target:7.4.0 target:7.3.0.0.beta2
Keywords: filter:pptx
Depends on:
Blocks: PPTX-Paragraph
  Show dependency treegraph
 
Reported: 2018-06-07 00:28 UTC by J.Zaitseff@zap.org.au
Modified: 2021-12-01 08:07 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Sample ODP file as discussed (15.60 KB, application/vnd.oasis.opendocument.presentation)
2018-06-07 00:30 UTC, J.Zaitseff@zap.org.au
Details
How the original file and its Impress saved version looks in current master (134.82 KB, image/png)
2021-01-28 10:49 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description J.Zaitseff@zap.org.au 2018-06-07 00:28:25 UTC
Description:
I have created a presentation file (ODP) under LibreOffice 6.0.4.2 (Ubuntu PPA) that I use for song lyrics.  Text boxes on each slide use styles like "Song lyrics" and "Song title" for formatting.  The style "Song lyrics" has a paragraph style that makes line spacing to be Proportional 110%.  This all works for the ODP file and exporting to PDF.

When exported to Microsoft PowerPoint 2007-2013 XML (PPTX) and then opened up in either Microsoft Office 2010 Professional or 2016 Professional, none of the text boxes retain the line spacing attribute: these go back to line spacing Single.  Opening the same PPTX file in LibreOffice shows the same problem.

Exporting to PPT (PowerPoint 97-2003) and opening in MS Office 2010 or 2016 works as expected, although spacing goes from Multiple 1.1 to 1.12 for some reason--a relatively minor concern.

Using MS Office 2010 or 2016 to convert from PPT to PPTX (ALT-F, then the Compatibility Mode button) works as expected, although the resulting PPTX file is about double the size of the one generated by LibreOffice.

Steps to Reproduce:
1. Open the ODP file at https://www.zap.org.au/~john/links/lyrics-template.odp (Note that although this is called a template, it is NOT an ODF Presentation Template!).  The slides use Verdana as the font.
2. Check that the paragraph attribute Line spacing is Proportional 110%.
3. Save the file as Microsoft PowerPoint 2007-2013 XML (PPTX).
4. Reopen the ODP file and as as Microsoft PowerPoint 97-2003 (PPT).
5. Open the PPTX and PPT files in Microsoft PowerPoint 2010 or later.
6. Observe that the PPTX version has incorrect line spacing while the PPT file has correct spacing.

Actual Results:  
The paragraph attribute Line Spacing is set to Single in the PPTX file.

Expected Results:
The paragraph attribute Line Spacing should be Line Spacing Multiple 1.1.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Sample ODP file is at https://www.zap.org.au/~john/links/lyrics-template.odp.  The PPT and PPTX files generated by LibreOffice 6.0.4.2 are at https://www.zap.org.au/~john/links/lyrics-template.ppt and https://www.zap.org.au/~john/links/lyrics-template.pptx respectively.

The results of converting PPT or ODP to PPTX under MS Office 2010 and 2016 are at:

https://www.zap.org.au/~john/links/lyrics-template-from-odp-o2010.pptx (Using Save As)
https://www.zap.org.au/~john/links/lyrics-template-from-odp-o2016.pptx (Using Save As)
https://www.zap.org.au/~john/links/lyrics-template-from-ppt-o2010.pptx (Using the Compatibility Mode button)
https://www.zap.org.au/~john/links/lyrics-template-from-ppt-o2010-using-saveas.pptx (Using Save As)
https://www.zap.org.au/~john/links/lyrics-template-from-ppt-o2016.pptx (Using the Compatibility Mode button)


Version: 6.0.4.2
Build ID: 1:6.0.4~rc2-0ubuntu0.18.04.1
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: en-AU (en_AU.UTF-8); Calc: group



User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:60.0) Gecko/20100101 Firefox/60.0
Comment 1 J.Zaitseff@zap.org.au 2018-06-07 00:30:40 UTC
Created attachment 142577 [details]
Sample ODP file as discussed
Comment 2 Buovjaga 2018-06-22 13:15:56 UTC
Repro.

Szymon: as you have been working on this area, I thought you would be interested in checking this out.

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 5b42a17dc99fba2ccf8dd8d0a8e0e4e836e30120
CPU threads: 8; OS: Linux 4.17; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on June 22nd 2018
Comment 3 QA Administrators 2019-10-08 02:29:03 UTC Comment hidden (obsolete)
Comment 4 J.Zaitseff@zap.org.au 2019-11-28 23:46:25 UTC
I can confirm that the bug is still present in LibreOffice 6.3.3.2:

Version: 6.3.3.2
Build ID: 1:6.3.3-0ubuntu0.19.04.1~lo1
CPU threads: 8; OS: Linux 5.0; UI render: default; VCL: kde5; 
Locale: en-AU (en_AU.UTF-8); UI-Language: en-US
Calc: threaded
Comment 5 Timur 2020-10-07 14:12:12 UTC
Repro 7.1+. It's for Proportional, which MSO reads as Multiple, should be 1,10.
Comment 6 NISZ LibreOffice Team 2021-01-28 10:49:28 UTC
Created attachment 169224 [details]
How the original file and its Impress saved version looks in current master

Still a problem in:

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 7eb289c49cc7245ef3001a39be0c15d06bbe875b
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: CL
Comment 7 Commit Notification 2021-11-29 07:51:28 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5db7694a6377d32bdef293b4ece27b471c3ea427

tdf#118045 PPTX export: fix proportional line spacing

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2021-11-29 10:38:18 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/c22f1ceba99b2ff4fa23728eb8581294e9414016

tdf#118045 PPTX export: fix proportional line spacing

It will be available in 7.3.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 NISZ LibreOffice Team 2021-12-01 08:07:45 UTC
Verified in:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 4ac9032163cf55c160145373e7c41741c9c339ca
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL